# pydicom.valuerep.IS

class pydicom.valuerep.IS(val: None | str | int | float | Decimal, validation_mode: int = None)

  Store value for an element with VR IS as `int`.

  Stores original integer string for exact rewriting of the string originally read or stored.

  __init__(val: str | int | float | Decimal, validation_mode: int = None) → None

  Methods

  `__init__`(val[, validation_mode]) |
  `as_integer_ratio`() | Return a pair of integers, whose ratio is equal to the original int.
  `bit_count`() | Number of ones in the binary representation of the absolute value of self.
  `bit_length`() | Number of bits necessary to represent self in binary.
  `conjugate`() | Returns self, the complex conjugate of any int.
  `from_bytes`([byteorder, signed]) | Return the integer represented by the given array of bytes.
  `is_integer`() | Returns True.
  `to_bytes`([length, byteorder, signed]) | Return an array of bytes representing an integer.

  Attributes

  `denominator` | the denominator of a rational number in lowest terms
  `imag` | the imaginary part of a complex number
  `numerator` | the numerator of a rational number in lowest terms
  `real` | the real part of a complex number